=== debian/changelog ===
pulseaudio-qt (1.2-2) unstable; urgency=medium

  * Team upload.
  * Replace the indep qttools5-dev-tools build dependency with the qttools5-dev
    build dependency.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jan 2020 16:50:42 +0100

pulseaudio-qt (1.2-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Add the configuration for the CI on salsa.
  * Drop the 'testsuite' autopkgtest, as it does not test the installed
    packages.
  * Update the patches:
    - upstream_fix_qch_build.patch: drop, backported from upstream
  * Remove wrong setting of DEB_BUILD_MAINT_OPTIONS=nocheck in rules.
  * Bump the debhelper compatibility to 12:
    - switch the debhelper build dependency to debhelper-compat 12
    - remove debian/compat
  * Disable the KDEClangFormat ECM module, present only in recent ECM
    versions; patch disable_clangformat.diff.
  * Update symbols file.
  * Remove the unused ${shlibs:Depends} substvar from libkf5pulseaudioqt2-doc.
  * Bump Standards-Version to 4.4.1, no changes required.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.0
    - bump extra-cmake-modules to 5.44.0
    - bump Qt packages to 5.10.0
    - remove unused appstream, libkf5coreaddons-dev, libkf5doctools-dev,
      libkf5i18n-dev, and qt5-doc-html
  * Make libkf5pulseaudioqt2.install more specific to catch SONAME bumps.
  * Remove the unused /usr/share/dpkg/default.mk include in rules.

 -- Pino Toscano <pino@debian.org>  Sat, 18 Jan 2020 16:20:27 +0100

pulseaudio-qt (1.1.0-1) unstable; urgency=medium

  * Initial release (Closes: #924030)

 -- Scarlett Moore <sgmoore@kde.org>  Fri, 23 Aug 2019 17:04:30 -0700
