=== debian/watch ===
version=4
opts=pgpsigurlmangle=s/$/.sig/ \
https://download.kde.org/stable/pulseaudio-qt/pulseaudio-qt-([\d\.]+)\.tar\.xz debian uupdate
