=== debian/changelog ===
pulseaudio-qt (1.3-2build2) noble; urgency=medium

  * No-change rebuild for CVE-2024-3094

 -- Steve Langasek <steve.langasek@ubuntu.com>  Sun, 31 Mar 2024 06:49:47 +0000

pulseaudio-qt (1.3-2build1) noble; urgency=medium

  * No-change rebuild against libqt5core5t64

 -- Steve Langasek <steve.langasek@ubuntu.com>  Fri, 15 Mar 2024 06:33:29 +0000

pulseaudio-qt (1.3-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.
  * Bump Standards-Version to 4.6.0, no changes required.
  * CI: disable the blhc job.

 -- Pino Toscano <pino@debian.org>  Sat, 09 Oct 2021 20:11:04 +0200

pulseaudio-qt (1.3-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update the build dependencies according to the upstream build system:
    - bump cmake to 3.16
    - bump extra-cmake-modules to 5.80.0
    - bump Qt packages to 5.15.0
    - explicitly add pkg-config
  * Update the patches:
    - disable_clangformat.diff: drop, no more needed now
  * Bump the debhelper compatibility to 13:
    - switch the debhelper-compat build dependency to 13
    - stop passing --fail-missing to dh_missing, as it is the default behaviour
  * Add Rules-Requires-Root: no.
  * Switch all the upstream references to
    https://invent.kde.org/libraries/pulseaudio-qt.
  * Bump Standards-Version to 4.5.1, no changes required.
  * Switch the Upstream-Name to pulseaudio-qt.
  * Set field Upstream-Contact in debian/copyright.
  * Remove obsolete fields Contact, Name from debian/upstream/metadata (already
    present in machine-readable debian/copyright).
  * Rename libkf5pulseaudioqt2-doc to libkf5pulseaudioqt-doc, as the docs are
    installed in an unversioned path
    - leave libkf5pulseaudioqt2-doc as transitional package
  * Rename libkf5pulseaudioqt2 to libkf5pulseaudioqt3 according to the new
    upstream SONAME.
  * Update symbols file.
  * Drop the uupdate bit from the watch file, as it is not needed.

 -- Pino Toscano <pino@debian.org>  Tue, 17 Aug 2021 07:49:31 +0200
