=== debian/control ===
Source: pulseaudio-qt
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.80.0~),
               libpulse-dev (>= 5.0.0~),
               pkg-config,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qttools5-dev (>= 5.15.0~),
Standards-Version: 4.6.0
Section: libs
Rules-Requires-Root: no
Homepage: https://invent.kde.org/libraries/pulseaudio-qt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/pulseaudio-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/pulseaudio-qt.git

Package: libkf5pulseaudioqt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5pulseaudioqt3 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
Description: Pulseaudio bindings development files for Qt
 Qt framework C++ bindings development files for the pulseaudio
 sound system.
 .
 This package contains the development files for libkf5pulseaudioqt

Package: libkf5pulseaudioqt3
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Pulseaudio bindings library for Qt
 Qt framework C++ bindings library for the pulseaudio
 sound system.
 .
 This package contains the libraries for libkf5pulseaudioqt

Package: libkf5pulseaudioqt-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Pulseaudio bindings library for Qt documentation
 Qt framework C++ bindings library for the pulseaudio
 sound system documentation.
 .
 This package contains the documentation for libkf5pulseaudioqt

Package: libkf5pulseaudioqt2-doc
Section: oldlibs
Architecture: all
Multi-Arch: foreign
Depends: libkf5pulseaudioqt-doc (>= ${source:Version}),
         ${misc:Depends}
Description: transitional package for libkf5pulseaudioqt-doc
 This is a transitional package for migrating to libkf5pulseaudioqt-doc.
 .
 It can be safely removed after the upgrade.
