## pulseaudio-qt 1.3+p20.04+tunstable+git20221031.0233

=== debian/changelog ===
pulseaudio-qt (1.3+p20.04+tunstable+git20221031.0233-0) focal; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 31 Oct 2022 02:33:42 +0000

pulseaudio-qt (1.3-0neon) focal; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 28 May 2021 10:06:07 +0000
