=== debian/control ===
Source: pulseaudio-qt
Priority: optional
Uploaders: Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake (>= 3.0~),
               debhelper-compat (= 12),
               doxygen,
               extra-cmake-modules,
               kirigami2-dev,
               libkf5coreaddons-dev (>= 5.45.0~),
               libkf5doctools-dev (>= 5.45.0~),
               libkf5prison-dev,
               libpulse-dev (>= 5.0.0~),
               pkg-kde-tools,
               qtbase5-dev (>= 5.7.0~),
               qtdeclarative5-dev (>= 5.7.0~),
               qttools5-dev,
               qttools5-dev-tools
Standards-Version: 4.4.1
Section: libs
Homepage: http://kde.org
Vcs-Git: https://invent.kde.org/neon/extras/pulseaudio-qt.git
Vcs-Browser: https://invent.kde.org/neon/extras/pulseaudio-qt
Maintainer: Neon CI <neon@kde.org>

Package: libkf5pulseaudioqt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Recommends: libkf5pulseaudioqt-doc (= ${source:Version})
Depends: libkf5pulseaudioqt4 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends}
Breaks: libkf5pulseaudioqt-doc (<< 1.2-2),
        libkf5pulseaudioqt2-doc (<< 1.2-2),
        libkf5pulseaudioqt3-doc (<< 1.2-2)
Replaces: libkf5pulseaudioqt-doc (<< 1.2-2),
          libkf5pulseaudioqt2-doc (<< 1.2-2),
          libkf5pulseaudioqt3-doc (<< 1.2-2)
Description: Pulseaudio bindings development files for Qt
 Qt framework C++ bindings development files for the pulseaudio
 sound system.
 .
 This package contains the development files for libkf5pulseaudioqt

Package: libkf5pulseaudioqt4
Architecture: any
Multi-Arch: same
Depends: qml-module-org-kde-kirigami2,
         qml-module-org-kde-prison,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5pulseaudioqt1 (<< 1.2-0neon),
        libkf5pulseaudioqt2 (<< 1.3),
        libkf5pulseaudioqt3 (<< ${source:Version}~ciBuild)
Replaces: libkf5pulseaudioqt1 (<< 1.2-0neon),
          libkf5pulseaudioqt2 (<< 1.3),
          libkf5pulseaudioqt3 (<< ${source:Version}~ciBuild)
Description: Pulseaudio bindings library for Qt
 Qt framework C++ bindings library for the pulseaudio
 sound system.
 .
 This package contains the libraries for libkf5pulseaudioqt

Package: libkf5pulseaudioqt1
Architecture: any
Multi-Arch: same
Depends: libkf5pulseaudioqt4, ${misc:Depends}, ${shlibs:Depends}
Description: Pulseaudio bindings library for Qt - transitional
 Qt framework C++ bindings library for the pulseaudio
 sound system documentation.
 .
 Transitional dummy which can be removed.

Package: libkf5pulseaudioqt2
Architecture: any
Multi-Arch: same
Depends: libkf5pulseaudioqt4, ${misc:Depends}, ${shlibs:Depends}
Description: Pulseaudio bindings library for Qt - transitional
 Qt framework C++ bindings library for the pulseaudio
 sound system documentation.
 .
 Transitional dummy which can be removed.

Package: libkf5pulseaudioqt3
Architecture: any
Multi-Arch: same
Depends: libkf5pulseaudioqt4, ${misc:Depends}, ${shlibs:Depends}
Description: Pulseaudio bindings library for Qt - transitional
 Qt framework C++ bindings library for the pulseaudio
 sound system documentation.
 .
 Transitional dummy which can be removed.

Package: libkf5pulseaudioqt-doc
Section: oldlibs
Priority: optional
Depends: libkf5pulseaudioqt2-doc, ${misc:Depends}
Architecture: any
Description: Pulseaudio bindings library for Qt documentation - transitional
 Qt framework C++ bindings library for the pulseaudio
 sound system documentation.
 .
 This package contains the documentation for libkf5pulseaudioqt
