=== debian/changelog ===
pulseaudio-qt (1.5.0-3) unstable; urgency=medium

  * Team upload.
  * Fix the Qt dependency of libkf6pulseaudioqt-dev to be qt6-base-dev rather
    than qtbase5-dev. (Closes: #1074124)

 -- Pino Toscano <pino@debian.org>  Thu, 27 Jun 2024 18:47:47 +0200

pulseaudio-qt (1.5.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Fri, 21 Jun 2024 20:20:36 +0200

pulseaudio-qt (1.5.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Rename library packages according to the upstream SONAME bumps:
    - libkf5pulseaudioqt4 -> libkf5pulseaudioqt5
    - libkf6pulseaudioqt4 -> libkf6pulseaudioqt5
  * Update symbols files.
  * Refresh/update the descriptions of all the non-transitional packages.
  * Update copyright with my contributions.

 -- Pino Toscano <pino@debian.org>  Tue, 28 May 2024 10:37:50 +0200

pulseaudio-qt (1.4.0-2) unstable; urgency=medium

  * Team upload.
  * Upload to unstable.

 -- Pino Toscano <pino@debian.org>  Sat, 11 May 2024 21:44:33 +0200

pulseaudio-qt (1.4.0-1) experimental; urgency=medium

  * Team upload.
  * New upstream release.
  * Update standards version to 4.7.0, no changes needed.
  * Switch Maintainer to Debian KDE Extras Team.
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 5.90.0
  * Switch the transitional pkg-config build dependency to pkgconf.
  * Rename libkf5pulseaudioqt3 to libkf5pulseaudioqt4 according to the upstream
    SONAME bump.
  * CI: enable again the blhc job.
  * Update the upstream GPG signing key with the key of Nicolas Fella.
  * Update install files.
  * Update symbols file.
  * Factorize the common cmake arguments in qt5/qt6 builds in a single
    variable.
  * Build Qt 6 library:
    - add the qt6-base-dev, qt6-declarative-dev, and qt6-tools-dev build
      dependencies
    - add new libkf6pulseaudioqt-dev, libkf6pulseaudioqt4, and
      libkf6pulseaudioqt-doc binary packages as counterparts of their Qt 5
      versions
    - perform a second build for the Qt6 library
    - explicitly pass -DQT_MAJOR_VERSION=5/6 depending on the build

 -- Pino Toscano <pino@debian.org>  Thu, 09 May 2024 00:14:55 +0200
