=== debian/control ===
Source: pulseaudio-qt
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               doxygen,
               extra-cmake-modules (>= 5.90.0~),
               libpulse-dev (>= 5.0.0~),
               pkgconf,
               pkg-kde-tools,
               qtbase5-dev (>= 5.15.0~),
               qtdeclarative5-dev (>= 5.15.0~),
               qttools5-dev (>= 5.15.0~),
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev,
Standards-Version: 4.7.0
Section: libs
Rules-Requires-Root: no
Homepage: https://invent.kde.org/libraries/pulseaudio-qt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/pulseaudio-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/pulseaudio-qt.git

Package: libkf5pulseaudioqt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5pulseaudioqt5 (= ${binary:Version}),
         qtbase5-dev,
         ${misc:Depends},
Description: Pulseaudio bindings library for Qt 5 - development files
 Qt 5 framework C++ bindings development files for the Pulseaudio
 sound system.
 .
 This package contains the development files.

Package: libkf5pulseaudioqt5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Pulseaudio bindings library for Qt 5
 Qt 5 framework C++ bindings library for the Pulseaudio
 sound system.
 .
 This package contains the shared library.

Package: libkf5pulseaudioqt-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Pulseaudio bindings library for Qt 5 - documentation
 Qt 5 framework C++ bindings development files for the Pulseaudio
 sound system.
 .
 This package contains the API documentation.

Package: libkf6pulseaudioqt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6pulseaudioqt5 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Pulseaudio bindings library for Qt 6 - development files
 Qt 6 framework C++ bindings development files for the Pulseaudio
 sound system.
 .
 This package contains the development files.

Package: libkf6pulseaudioqt5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Pulseaudio bindings library for Qt 6
 Qt 6 framework C++ bindings library for the Pulseaudio
 sound system.
 .
 This package contains the shared library.

Package: libkf6pulseaudioqt-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Pulseaudio bindings library for Qt 6 - documentation
 Qt 6 framework C++ bindings development files for the Pulseaudio
 sound system.
 .
 This package contains the API documentation.

Package: libkf5pulseaudioqt2-doc
Section: oldlibs
Architecture: all
Multi-Arch: foreign
Depends: libkf5pulseaudioqt-doc (>= ${source:Version}),
         ${misc:Depends}
Description: transitional package for libkf5pulseaudioqt-doc
 This is a transitional package for migrating to libkf5pulseaudioqt-doc.
 .
 It can be safely removed after the upgrade.
