=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS=hardening=+bindnow

CMAKE_ARGS = -DBUILD_QCH=ON -DBUILD_TESTING=ON

%:
	dh $@ --with=pkgkde-symbolshelper

execute_after_dh_auto_clean:
	rm -rf build-qt6

override_dh_auto_configure:
	dh_auto_configure -- $(CMAKE_ARGS) -DQT_MAJOR_VERSION=5
	dh_auto_configure --builddirectory=build-qt6 -- $(CMAKE_ARGS) -DQT_MAJOR_VERSION=6

override_dh_auto_build:
	dh_auto_build
	dh_auto_build --builddirectory=build-qt6

override_dh_auto_install:
	dh_auto_install
	dh_auto_install --builddirectory=build-qt6

override_dh_auto_test:
	dh_auto_test
	dh_auto_test --builddirectory=build-qt6
