## pulseaudio-qt 1.6.1

=== debian/changelog ===
pulseaudio-qt (1.6.1-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Sat, 02 Nov 2024 21:15:57 +0100

pulseaudio-qt (1.6.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Fri, 13 Sep 2024 07:27:34 +0200
