=== tests/CMakeLists.txt ===
add_subdirectory(painspector)
