=== debian/changelog ===
pulseaudio-qt (1.7.0-1) unstable; urgency=medium

  * Team upload.
  * New upstream release.
  * This release drops support for Qt 5, hence drop the associated bits
    (there are no users of it in Debian currently):
    - drop the libkf5pulseaudioqt-dev, libkf5pulseaudioqt5, and
      libkf5pulseaudioqt-doc binary packages
    - drop also the transitional libkf5pulseaudioqt2-doc package, as it refers
      to libkf5pulseaudioqt-doc which is dropped
    - remove the qtbase5-dev, qtdeclarative5-dev, and qttools5-dev build
      dependencies
    - drop the double build, keeping only the dh_auto_configure override
      (needed to pass additional cmake parameters)
  * Modernize building:
    - add the dh-sequence-pkgkde-symbolshelper build dependency to use the
      pkgkde_symbolshelper automatically
    - drop the pkg-kde-tools build dependency, no more explicitly needed
    - drop all the manually specified addons and buildsystem for dh
  * Update the build dependencies according to the upstream build system:
    - bump extra-cmake-modules to 6.0.0
    - bump the Qt packages to 6.7.0
  * Concatenate all the keys in debian/upstream/signing-key.asc.
  * Update symbols files.

 -- Pino Toscano <pino@debian.org>  Wed, 05 Feb 2025 10:16:52 +0100
