=== debian/control ===
Source: pulseaudio-qt
Priority: optional
Maintainer: Debian KDE Extras Team <pkg-kde-extras@lists.alioth.debian.org>
Uploaders: Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake (>= 3.16.0~),
               debhelper-compat (= 13),
               dh-sequence-pkgkde-symbolshelper,
               doxygen,
               extra-cmake-modules (>= 6.0.0~),
               libpulse-dev (>= 5.0.0~),
               pkgconf,
               qt6-base-dev (>= 6.7.0~),
               qt6-declarative-dev (>= 6.7.0~),
               qt6-tools-dev (>= 6.7.0~),
Standards-Version: 4.7.0
Section: libs
Rules-Requires-Root: no
Homepage: https://invent.kde.org/libraries/pulseaudio-qt
Vcs-Browser: https://salsa.debian.org/qt-kde-team/extras/pulseaudio-qt
Vcs-Git: https://salsa.debian.org/qt-kde-team/extras/pulseaudio-qt.git

Package: libkf6pulseaudioqt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf6pulseaudioqt5 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends},
Description: Pulseaudio bindings library for Qt 6 - development files
 Qt 6 framework C++ bindings development files for the Pulseaudio
 sound system.
 .
 This package contains the development files.

Package: libkf6pulseaudioqt5
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Description: Pulseaudio bindings library for Qt 6
 Qt 6 framework C++ bindings library for the Pulseaudio
 sound system.
 .
 This package contains the shared library.

Package: libkf6pulseaudioqt-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Pulseaudio bindings library for Qt 6 - documentation
 Qt 6 framework C++ bindings development files for the Pulseaudio
 sound system.
 .
 This package contains the API documentation.
