## pulseaudio-qt 1.7.0+p24.04+vstable+git20251202.2229

=== debian/changelog ===
pulseaudio-qt (1.7.0+p24.04+vstable+git20251202.2229-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 22:29:07 +0000

pulseaudio-qt (1.7.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Fri, 13 Sep 2024 10:07:30 +0000

pulseaudio-qt (1.5.0-0neon) noble; urgency=medium

  * New release

 -- Neon CI <neon@kde.org>  Wed, 10 Jan 2024 10:06:04 +0000
