## pulseaudio-qt 1.7.0+p24.04+vstable+git20260202.0955

=== debian/changelog ===
pulseaudio-qt (1.7.0+p24.04+vstable+git20260202.0955-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Mon, 02 Feb 2026 09:55:19 +0000
