=== debian/control ===
Source: pulseaudio-qt
Priority: optional
Uploaders: Scarlett Moore <sgmoore@kde.org>
Build-Depends: cmake,
               debhelper-compat (= 13),
               doxygen,
               kf6-extra-cmake-modules,
               kf6-kcoreaddons-dev,
               kf6-kdoctools-dev,
               kf6-kirigami2-dev,
               kf6-prison-dev,
               libpulse-dev,
               pkg-config,
               pkg-kde-tools-neon,
               qt6-base-dev,
               qt6-declarative-dev,
               qt6-tools-dev
Standards-Version: 4.6.2
Section: libs
Rules-Requires-Root: no
Homepage: https://invent.kde.org/libraries/pulseaudio-qt
Vcs-Git: https://invent.kde.org/neon/extras/pulseaudio-qt.git
Vcs-Browser: https://invent.kde.org/neon/extras/pulseaudio-qt
Maintainer: Neon CI <neon@kde.org>

Package: libkf6pulseaudioqt-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Recommends: libkf6pulseaudioqt-doc (= ${source:Version})
Depends: libkf6pulseaudioqt5 (= ${binary:Version}),
         qt6-base-dev,
         ${misc:Depends}
Breaks: libkf5pulseaudioqt-dev (<< 1.4.0)
Replaces: libkf5pulseaudioqt-dev (<< 1.4.0)
Description: Pulseaudio bindings development files for Qt
 Qt framework C++ bindings development files for the pulseaudio
 sound system.
 .
 This package contains the development files for libkf6pulseaudioqt4

Package: libkf6pulseaudioqt5
Architecture: any
Multi-Arch: same
Depends: qml6-module-org-kde-kirigami2,
         qml6-module-org-kde-prison,
         ${misc:Depends},
         ${shlibs:Depends}
Breaks: libkf5pulseaudioqt4 (<< 1.6.0), libkf6pulseaudioqt4 (<< 1.6.0)
Replaces: libkf5pulseaudioqt4 (<< 1.6.0), libkf6pulseaudioqt4 (<< 1.6.0)
Description: Pulseaudio bindings library for Qt
 Qt framework C++ bindings library for the pulseaudio
 sound system.
 .
 This package contains the libraries for libkf6pulseaudioqt4

Package: libkf6pulseaudioqt-doc
Section: doc
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Description: Pulseaudio bindings library for Qt documentation
 Qt framework C++ bindings library for the pulseaudio
 sound system documentation.
 .
 This package contains the documentation for libkf6pulseaudioqt5

Package: libkf5pulseaudioqt-dev
Architecture: all
Depends: libplasma6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.

Package: libkf5pulseaudioqt4
Architecture: all
Depends: libplasma6, ${misc:Depends}
Description: Dummy transitional
 Transitional dummy package.
