## pulseaudio-qt 1.7.0+p24.04+vunstable+git20251202.2236

=== debian/changelog ===
pulseaudio-qt (1.7.0+p24.04+vunstable+git20251202.2236-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Tue, 02 Dec 2025 22:36:56 +0000
