## pulseaudio-qt 1.7.0+p24.04+vunstable+git20260205.0748

=== debian/changelog ===
pulseaudio-qt (1.7.0+p24.04+vunstable+git20260205.0748-0) noble; urgency=medium

  * Automatic Ubuntu CI Build

 -- Neon CI <neon@kde.org>  Thu, 05 Feb 2026 07:48:56 +0000
